Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.csw.configuration
Class CSWClientConfiguration

    java.lang.Object
      org.deegree.portal.standard.csw.configuration.CSWClientConfiguration

    public class CSWClientConfiguration

extends Object

This class stores the parameters defined in the WMC, so that the csw module can use them

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Constructor Summary
`CSWClientConfiguration()`

Method Summary
`void` | `addCatalogueFormat(String catalogueName, List<String> formatList)`
`void` | `addCatalogueProtocol(String catalogueName, List<String> protocolList)`
`void` | `addCatalogueURL(String catalogueName, String catURL)`
`void` | `addProfileXSL(String profileName, HashMap<String,String> elementSetKeyToXSL)`
`List` | `getCatalogFormats(String catalogName)`
`String[]` | `getCatalogNames()`
`List` | `getCatalogProtocols(String catalogName)`
`String` | `getCatalogServerAddress(String catalogName)`
`String[]` | `getCatalogServerAddresses()`
`Map` | `getCatalogToFormatMap()`
`Map` | `getCatalogToProtocolMap()`
`Map` | `getCatalogToUrlMap()`
`String[]` | `getFilterIDs()`
`String[]` | `getFormElements(String catalogField)`
`String` | `getMapContextTemplatePath()` Method is needed for shopping cart, but shopping cart is currently disabled TODO when shopping cart is enabled again, please adjust javadoc!
`int` | `getMaxRecords()`
`int` | `getMaxSessionLifeTime()`
`Map` | `getProfilesToXsl()`
`HashMap` | `getProfileXSL(String profileName)`
`String[]` | `getProtocolNames()`
`int` | `getQueryScope()`
`Envelope` | `getRootBoundingBox()`
`List<String>` | `getServiceMetadataCatalogs()`
`String` | `getSrs()`
`URL` | `getThesaurusAddress(String thesaurus)`
`String[]` | `getThesaurusNames()`
`String` | `getXPathToDataIdentifier()`
`String` | `getXPathToDataTitle()`
`String` | `getXPathToServiceAddress()`
`String` | `getXPathToServiceIdentifier()`
`String` | `getXPathToServiceOperatesOnTitle()`
`String` | `getXPathToServiceTitle()`
`String` | `getXPathToServiceType()`
`String` | `getXPathToServiceTypeVersion()`
`void` | `setMapContextTemplatePath(String mapContextTemplatePath)` method is needed for shopping cart, but shopping cart is currently disabled TODO when shopping cart is enabled again, please adjust javadoc!
`void` | `setMaxRecords(int maxRecords)`
`void` | `setSrs(String srs)`
`void` | `setXPathToDataIdentifier(String pathToIdentifier)`
`void` | `setXPathToDataTitle(String pathToDataTitle)`
`void` | `setXPathToServiceAddress(String pathToServiceAddress)`
`void` | `setXPathToServiceIdentifier(String pathToServiceIdentifier)`
`void` | `setXPathToServiceOperatesOnTitle(String pathToServiceOperatesOnTitle)`
`void` | `setXPathToServiceTitle(String pathToServiceTitle)`
`void` | `setXPathToServiceType(String pathToServiceType)`
`void` | `setXPathToServiceTypeVersion(String pathToServiceTypeVersion)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSWClientConfiguration

    public CSWClientConfiguration()

Method Detail

### getCatalogNames

    public String[] getCatalogNames()

  Returns:
    Returns the names of all served catalogs

### getCatalogServerAddresses

    public String[] getCatalogServerAddresses()

  Returns:
    Returns the addresses of all served catalogs

### getCatalogServerAddress

    public String getCatalogServerAddress(String catalogName)

  Parameters:
    `catalogName` -
  Returns:
    Returns the address of the submitted catalog, or `null` if the map contains no mapping for this key.

### getCatalogToFormatMap

    public Map getCatalogToFormatMap()

  Returns:
    Returns the catalogToFormatMap.

### getCatalogFormats

    public List getCatalogFormats(String catalogName)

  Parameters:
    `catalogName` - The name of the catalog
  Returns:
    Returns the format types of a given catalog, e.g. "ISO19115" or "ISO19119". May be null, if the passed catalogName is unknown.

### getCatalogToProtocolMap

    public Map getCatalogToProtocolMap()

  Returns:
    Returns the catalogToProtocolMap.

### getCatalogProtocols

    public List getCatalogProtocols(String catalogName)

  Parameters:
    `catalogName` - The name of the catalog
  Returns:
    Returns the protocol type of a given catalog, e.g. "POST" or "SOAP". May be null, if the passed catalogName is unknown.

### getCatalogToUrlMap

    public Map getCatalogToUrlMap()

  Returns:
    Returns the catalogToUrlMap.

### getServiceMetadataCatalogs

    public List<String> getServiceMetadataCatalogs()

  Returns:
    Returns a List of the service metadata catalogues.

### getFilterIDs

    public String[] getFilterIDs()

  Returns:
    Returns an array of IDs that marks UDK objects that are valid for the catalog

### getFormElements

    public String[] getFormElements(String catalogField)

  Parameters:
    `catalogField` -
  Returns:
    Returns the catalog (iso-) elements that shall be targeted by a html form element

### getMapContextTemplatePath

    public String getMapContextTemplatePath()

  Method is needed for shopping cart, but shopping cart is currently disabled TODO when shopping cart is enabled again, please adjust javadoc!

  Returns:
    Returns the mapContextTemplatePath.

### getMaxRecords

    public int getMaxRecords()

  Returns:
    Returns the maximum number records requested in a GetRecord request.

### getMaxSessionLifeTime

    public int getMaxSessionLifeTime()

  Returns:
    Returns the maximun time a session will be alive after the last change in seconds

### getProfilesToXsl

    public Map getProfilesToXsl()

  Returns:
    Returns the profilesToXsl.

### getProfileXSL

    public HashMap getProfileXSL(String profileName)

  Parameters:
    `profileName` -
  Returns:
    Returns the profiles to xsl for the passed profile or `null` if the profile map contains no mapping for this key.

### getProtocolNames

    public String[] getProtocolNames()

  Returns:
    Returns the names of possible protocol types

### getQueryScope

    public int getQueryScope()

  Returns:
    Returns the maximum number (iterations) to cascaded catalogs that shall be performed.

### getRootBoundingBox

    public Envelope getRootBoundingBox()

  Returns:
    Returns the bounding box of the maximum area that shall be searched for (meta)data. This parameter will be extracted from the searchmap parameter

### getSrs

    public String getSrs()

  Returns:
    Returns the srs.

### getThesaurusAddress

    public URL getThesaurusAddress(String thesaurus)

  Parameters:
    `thesaurus` -
  Returns:
    Returns the address of the submitted thesaurus

### getThesaurusNames

    public String[] getThesaurusNames()

  Returns:
    Returns the names of the thesauri known by the client

### getXPathToDataIdentifier

    public String getXPathToDataIdentifier()

  Returns:
    Returns the xPathToDataIdentifier.

### getXPathToDataTitle

    public String getXPathToDataTitle()

  Returns:
    Returns the xPathToDataTitle.

### getXPathToServiceAddress

    public String getXPathToServiceAddress()

  Returns:
    Returns the xPathToServiceAddress.

### getXPathToServiceIdentifier

    public String getXPathToServiceIdentifier()

  Returns:
    Returns the xPathToServiceIdentifier.

### getXPathToServiceOperatesOnTitle

    public String getXPathToServiceOperatesOnTitle()

  Returns:
    Returns the xPathToServiceOperatesOnTitle.

### getXPathToServiceTitle

    public String getXPathToServiceTitle()

  Returns:
    Returns the xPathToServiceTitle.

### getXPathToServiceType

    public String getXPathToServiceType()

  Returns:
    Returns the xPathToServiceType.

### getXPathToServiceTypeVersion

    public String getXPathToServiceTypeVersion()

  Returns:
    Returns the xPathToServiceTypeVersion.

### setMapContextTemplatePath

    public void setMapContextTemplatePath(String mapContextTemplatePath)

  method is needed for shopping cart, but shopping cart is currently disabled TODO when shopping cart is enabled again, please adjust javadoc!

  Parameters:
    `mapContextTemplatePath` - The mapContextTemplatePath to set.

### setMaxRecords

    public void setMaxRecords(int maxRecords)

  Parameters:
    `maxRecords` -

### setSrs

    public void setSrs(String srs)

  Parameters:
    `srs` - The srs to set.

### setXPathToDataIdentifier

    public void setXPathToDataIdentifier(String pathToIdentifier)

  Parameters:
    `pathToIdentifier` - The xPath to the FileIdentifier to set.

### setXPathToDataTitle

    public void setXPathToDataTitle(String pathToDataTitle)

  Parameters:
    `pathToDataTitle` - The xPathToDataTitle to set.

### setXPathToServiceAddress

    public void setXPathToServiceAddress(String pathToServiceAddress)

  Parameters:
    `pathToServiceAddress` - The xPathToServiceAddress to set.

### setXPathToServiceIdentifier

    public void setXPathToServiceIdentifier(String pathToServiceIdentifier)

  Parameters:
    `pathToServiceIdentifier` - The xPathToServiceIdentifier to set.

### setXPathToServiceOperatesOnTitle

    public void setXPathToServiceOperatesOnTitle(String pathToServiceOperatesOnTitle)

  Parameters:
    `pathToServiceOperatesOnTitle` - The xPathToServiceOperatesOnTitle to set.

### setXPathToServiceTitle

    public void setXPathToServiceTitle(String pathToServiceTitle)

  Parameters:
    `pathToServiceTitle` - The xPathToServiceTitle to set.

### setXPathToServiceType

    public void setXPathToServiceType(String pathToServiceType)

  Parameters:
    `pathToServiceType` - The xPathToServiceType to set.

### setXPathToServiceTypeVersion

    public void setXPathToServiceTypeVersion(String pathToServiceTypeVersion)

  Parameters:
    `pathToServiceTypeVersion` - The xPathToServiceTypeVersion to set.

### addCatalogueFormat

    public void addCatalogueFormat(String catalogueName,
                                   List<String> formatList)

  Parameters:
    `catalogueName` -
    `formatList` -

### addCatalogueProtocol

    public void addCatalogueProtocol(String catalogueName,
                                     List<String> protocolList)

  Parameters:
    `catalogueName` -
    `protocolList` -

### addCatalogueURL

    public void addCatalogueURL(String catalogueName,
                                String catURL)

  Parameters:
    `catalogueName` -
    `catURL` -

### addProfileXSL

    public void addProfileXSL(String profileName,
                              HashMap<String,String> elementSetKeyToXSL)

  Parameters:
    `profileName` - The name of the profile (ie: Profiles.ISO19115, Profiles.ISO19119, Profiles.OGCCORE)
    `elementSetKeyToXSL` - HashMap containing the elementset name as key and the xsl file name as value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org